function [Inputs,Bdatas,Errors]=setLU03(in,verbose,varargin)
  p = inputParser;
  p.addParamValue('fprintf',@(varargin) fprintf(varargin{:}));
  p.parse(varargin{:});
  R=p.Results;
  Fprintf=R.fprintf;
  m=in;
  A=randn(m,m); % A is the input of the LU functions
  ltd=fc_tools.utils.line_text_delimiter();
  Errors={@(L,U,P) norm(L*U-P*A,Inf), ...
          @(L,U,P) norm(L*U-P*A,1)  , ...
          @(L,U,P) norm(L*U-P*A,2)};
  if verbose
    Fprintf('# Prototype functions without wrapper: [L,U,P]=fun(A)\n',class(A))
    Fprintf('#   Input parameter A: m-by-n matrix [%s]\n',class(A))
    Fprintf('#   Outputs are [L,U,P] such that P*A=L*U\n')
    Fprintf(ltd);
    for j=1:3
      Fprintf('# Error[i,%d] computed with fun[i] outputs :\n#   %s\n',j-1,func2str(Errors{j}))
    end
  end
  Bdatas{1}=fc_bench.bdata('m',m,'%d',7);
  Inputs={A}; 
end
