function  varargout=plotiso(q,me,u,varargin)
  % plotoptions={'Color','w','LineWidth',2}
  [dim,d,nq,nme]=fc_meshtools.simplicial.get_dims(q,me);
  assert(  (d==2) && ismember(dim,[2,3]) )
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  %p.addParamValue('type','simplicial');
  p.addParamValue('niso',10,@isscalar);
  p.addParamValue('color',[]); % unique color
  p.addParamValue('plane',false,@islogical);
  p.addParamValue('isorange',[]);
  p.addParamValue('isocolorbar',false,@islogical);
  p.addParamValue('format','%g',@ischar);
  p.addParamValue('mouse',true,@islogical);
  p.parse(varargin{:});
  R=p.Results;
%    if ~strcmp(R.type,'simplicial')
%      error('Unknow type ''%s''',R.type)
%    end
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  U=fc_meshtools.eval(u,q);
  assert(length(U)==size(q,2));
  
  
  %if (isempty(R.isorange) && R.niso>1), R.isorange=linspace(min(U),max(U),R.niso);else, R.niso=length(R.isorange);end
  if isempty(R.isorange) , R.isorange=linspace(min(U),max(U),R.niso);end;
  isorange=R.isorange;niso=length(isorange);
  [R.isorange,colors]=fc_graphics4mesh.getisocolors(U,R.isorange,R.color);
  R.niso=length(R.isorange);
  [LS,LD,I] = fc_tools.graphics.gptoolbox.isolines(q',me',U,R.isorange);
  PrevHold=fc_tools.graphics.SetHoldOn(true);
  h=zeros(1,R.niso);
  for i=1:R.niso
    II=find(I==i);
    if isempty(II),h(i)=NaN;else
      %if fc_tools.comp.isOctave()
        N=length(II);
        X=[LS(II,1)';LD(II,1)';NaN(1, N)];Y=[LS(II,2)';LD(II,2)';NaN(1, N)];
        Faces=[1:N;N+1:2*N;1:N]';
        if dim==2
          if R.plane
            h(i)=plot(X(:),Y(:),'Tag',sprintf('isovalue : %g',R.isorange(i)),'color',colors(i,:),varargin{:});
          else
            Z=[R.isorange(i)*ones(2,N);NaN(1, N)];
            h(i)=plot3(X(:),Y(:),Z(:),'Tag',sprintf('isovalue : %g',R.isorange(i)),'color',colors(i,:),varargin{:});
          end
        else
          Z=[LS(II,3)';LD(II,3)';NaN(1, N)];
          h(i)=plot3(X(:),Y(:),Z(:),'Tag',sprintf('isovalue : %g',R.isorange(i)),'color',colors(i,:),varargin{:});
        end
    end % if isempty(II) else
  end
  if R.isocolorbar
    cax=fc_tools.graphics.colorbarIso(colors,R.isorange,R.format);
  end
  if R.mouse && ~fc_tools.comp.isOctave() % Only Matlab
    datacursormode on
    dcm = datacursormode(gcf);
    set(dcm,'UpdateFcn',@fc_graphics4mesh.showinfo)
  end
  if nargout>=1, varargout{1}=colors;end
  if nargout>=2, varargout{2}=R.isorange;end
  if nargout==3
    hl=zeros(1,niso); % rustine
    for i=1:R.niso
      [~,j]=ismember(R.isorange(i),isorange);
      hl(j)=h(i);
    end
    %whos hl
    varargout{3}=hl;
  end
  fc_tools.graphics.RestoreHold(PrevHold)
end

