function plotPartitionElements(oGh,varargin)
  assert(strcmp(class(oGh),'fc_oogmsh.ooGmsh4'),'First parameter must be a <fc_oogmsh.ooGmsh4> object.\b  -> 1st parameter is a %s object\n',class(oGh))
  if ~fc_oogmsh.isgraphics(), return;end
  if ~oGh.partitionnedfile, return;end
  p = inputParser;
  p.addParamValue('entityDim',oGh.d:-1:0);
  p.addParamValue('verbose',false);
  p.parse(varargin{:});
  verbose=p.Results.verbose;
  %if verbose,fprintf('*** Partition Elements\n');end
  for entityDim=p.Results.entityDim
    if verbose,fprintf('*** Partition Elements : entityDim=%d\n',entityDim);end
    pTags=oGh.get_PartitionTags_entityDim(entityDim);
    n=length(pTags);
    if n>0
      figure()
      hold on
      if (entityDim<=1) 
        %oGh.plotmesh(2,'facecolor','None','edgecolor','lightgrey');
        oGh.plotmesh(1,'color','lightgrey');
        if ~fc_tools.comp.isOctave(),alpha(0.1); end
        oGh.plotmesh(entityDim,'interfaces',true);
      end
      Colors=fc_tools.graphics.selectColors(n);
      for j=1:n
        if verbose,fprintf('     partition_tag=%7d composed with:\n',pTags(j));end
        tags=oGh.get_EntityTags_From_partitionTag(entityDim,pTags(j));
        options={'DisplayName',num2str(pTags(j))};
        for k=1:length(tags)
          [q,me]=oGh.get_localmesh_From_EntityBlock(entityDim,tags(k));
          if verbose,fprintf('       -> entity_tag=%7d, nq=%7d, nme=%7d\n',tags(k),size(q,2),size(me,2));end
          fc_graphics4mesh.plotmesh(q,me,'color',Colors(j,:),options{:})
          options={};
        end
      end
      if oGh.dim==3,view(3);end
      title(sprintf('Partition elements, entityDim:%d',entityDim))
      legend(gca,'show')  % gca,'show' needs for older Matlab version, 2016b for ex.
      axis image
      axis off
    end
  end
end
